## dbab 1.2.2

=== Makefile ===
INSTALL = /usr/bin/install -c

# Installation directories
prefix = ${DESTDIR}/usr
exec_prefix = ${prefix}
mandir = ${prefix}/share/man
docdir = ${prefix}/share/doc/dbab
bindir = ${exec_prefix}/sbin
libdir = ${DESTDIR}/lib
etcdir = ${DESTDIR}/etc
astdir = ${etcdir}/dbab
ssddir = ${DESTDIR}/lib/systemd/system

# Install the systemd unit file if systemd support was detected.
ifdef HAVE_SYSTEMD
systemdsystemunit_DATA = systemd/dbab.service
endif

man:
	cat README.md | ronn > assets/dbab-svr.8

clean:
	rm -f assets/dbab-svr.8

install:
	$(INSTALL) -m 755 -d $(bindir)
	$(INSTALL) -m 755 -d $(mandir)/man1
	$(INSTALL) -m 755 -d $(mandir)/man8
	$(INSTALL) -m 755 -d $(docdir)
	$(INSTALL) -m 755 -d $(libdir)/init
	$(INSTALL) -m 755 -d $(etcdir)
	$(INSTALL) -m 755 -d $(etcdir)/init.d
	$(INSTALL) -m 755 -d $(astdir)
	$(INSTALL) -m 755 -d $(ssddir)

	$(INSTALL) -m 755 bin/dbab-get-list $(bindir)
	$(INSTALL) -m 755 bin/dbab-add-list $(bindir)
	$(INSTALL) -m 755 bin/dbab-chk-list $(bindir)
	$(INSTALL) -m 755 bin/dhcp-add-wpad $(bindir)
	$(INSTALL) -m 755 bin/dbab-svr $(bindir)
	$(INSTALL) -m 755 bin/dbab-init-d-script $(libdir)/init
	$(INSTALL) -m 755 bin/dbab $(etcdir)/init.d
	$(INSTALL) -m 644 assets/dbab.service $(ssddir)

	$(INSTALL) -m 644 assets/dbab-svr.8 $(mandir)/man8
	$(INSTALL) -m 644 assets/dbab-add-list.1 $(mandir)/man1
	$(INSTALL) -m 644 assets/dbab-chk-list.1 $(mandir)/man1
	$(INSTALL) -m 644 assets/dbab-get-list.1 $(mandir)/man1
	$(INSTALL) -m 644 assets/dhcp-add-wpad.1 $(mandir)/man1
	$(INSTALL) -m 644 dbab.html $(docdir)

	$(INSTALL) -m 644 assets/dbab.addr $(astdir)
	$(INSTALL) -m 644 assets/dbab.list+ $(astdir)
	$(INSTALL) -m 644 assets/dbab.list- $(astdir)
	$(INSTALL) -m 644 assets/dbab.proxy $(astdir)

=== debian/changelog ===
dbab (1.2.2-1) unstable; urgency=medium

  * Targeting back to Debian Sid

 -- Tong Sun <suntong001@users.sourceforge.net>  Mon, 22 Dec 2014 21:45:25 -0500

dbab (1.2.1-1) unstable; urgency=medium

  * Fix previous script problem that causes the package unusable
  * Replace the "home-made" SysV init.d script with the ready-made
    solution provided out-of-box by sysvinit-utils ver2.88dsf-58.
  * Drop the init-system-helpers v1.18+ dependency so all the three,
    Debian Sid, Debian wheezy and Ubuntu can install it.

 -- Tong Sun <suntong001@users.sourceforge.net>  Sun, 21 Dec 2014 23:28:54 -0500

dbab (1.1.2-1) unstable; urgency=low

  * Now able to set proxy automatically
  * Official Debian release (closes: #771532)

 -- Tong Sun <suntong001@users.sourceforge.net>  Sun, 14 Dec 2014 20:37:58 -0500

=== debian/control ===
Source: dbab
Section: net
Priority: optional
Maintainer: Tong Sun <suntong001@users.sourceforge.net>
Build-Depends: debhelper (>= 9), dh-systemd, ruby-ronn (>= 0.7.3)
Standards-Version: 3.9.6
Homepage: https://github.com/suntong001/dbab
Vcs-Git: https://github.com/suntong001/dbab.git
Vcs-Browser: https://github.com/suntong001/dbab

Package: dbab
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, dnsmasq, curl 
Description: dnsmasq-based ad-blocking using pixelserv
 Block advertising sites at the DNS level. dbab is feather weight,
 both in terms of package size and CPU usage, because no pattern matching or
 string substitution is involved. Thus it is super efficient and extremely
 fast.  All ads are be replaced by a 1x1 pixel gif image served locally by
 the tiny pixelserv server. The ad-block list can be periodically downloaded
 from pgl.yoyo.org, and can be tweaked locally. Speed up mobile device
 browsing without installing any apps to them.

## dbab 1.3.2

=== Makefile ===
--- 
+++ 
@@ -47,7 +47,7 @@
 	$(INSTALL) -m 644 assets/dbab-chk-list.1 $(mandir)/man1
 	$(INSTALL) -m 644 assets/dbab-get-list.1 $(mandir)/man1
 	$(INSTALL) -m 644 assets/dhcp-add-wpad.1 $(mandir)/man1
-	$(INSTALL) -m 644 dbab.html $(docdir)
+	$(INSTALL) -m 644 dbab.md $(docdir)
 
 	$(INSTALL) -m 644 assets/dbab.addr $(astdir)
 	$(INSTALL) -m 644 assets/dbab.list+ $(astdir)

=== debian/changelog ===
dbab (1.3.2-2) unstable; urgency=low

  * Fix build because ronn split out of ruby-ronn (closes: #903065)
  * Update Standards-Version to 4.2.1, compat level to 11

  [ Boyuan Yang ]
  * move debian/source.lintian-overrides to debian/sources/lintian-overrides

 -- Tong Sun <suntong001@users.sourceforge.net>  Sat, 29 Sep 2018 22:32:07 -0400

dbab (1.3.2-1) unstable; urgency=medium

  * New upstream release (1.3.2).
      - [!] make the pixelserv more robust
      - [!] fix dbab.service exec file name
      - [*] use dbab.md to replace dbab.html
      - [*] rename conf files to dbab.xxx (incompatible with previous version!)
      - [!] closes: #775253 by using conf files as /etc/dnsmasq.d/dbab.xxx
      - [+] dbab.md add faq
      - [!] amend dbab.list- to reflect upstream list change
      - [*] update copyright year
      - [*] update git home
      - [+] add must-have Depends: dnsutils
      - [+] add "How to whitelist some sites" section to FAQ
      - [+] add blank-line-checking to dbab-get-list to prevent errors
      - [!] fix "dep5-copyright-license-name-not-unique"
      - [!] fix "missing-license-paragraph"
      - [+] rewrite dbab.md to include everything; add/amend supporting files
      - [+] add helpful squid config settings files

 -- Tong Sun <suntong001@users.sourceforge.net>  Wed, 09 Dec 2015 17:32:06 -0500

dbab (1.2.2-2) unstable; urgency=high

  * Targeting back to Debian Sid
  * The reported wrong path problems was fixed in v1.2.1 (closes: #774191)

 -- Tong Sun <suntong001@users.sourceforge.net>  Mon, 22 Dec 2014 21:45:25 -0500

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: net
 Priority: optional
 Maintainer: Tong Sun <suntong001@users.sourceforge.net>
-Build-Depends: debhelper (>= 9), dh-systemd, ruby-ronn (>= 0.7.3)
-Standards-Version: 3.9.6
-Homepage: https://github.com/suntong001/dbab
-Vcs-Git: https://github.com/suntong001/dbab.git
-Vcs-Browser: https://github.com/suntong001/dbab
+Build-Depends: debhelper (>= 11), ronn (>= 0.7.3)
+Standards-Version: 4.2.1
+Homepage: https://github.com/suntong/dbab
+Vcs-Git: https://github.com/suntong/dbab.git
+Vcs-Browser: https://github.com/suntong/dbab
 
 Package: dbab
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, dnsmasq, curl 
+Depends: ${misc:Depends}, ${perl:Depends}, dnsmasq, curl, dnsutils
 Description: dnsmasq-based ad-blocking using pixelserv
  Block advertising sites at the DNS level. dbab is feather weight,
  both in terms of package size and CPU usage, because no pattern matching or

## dbab 1.3.3

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,6 @@
 
 install:
 	$(INSTALL) -m 755 -d $(bindir)
-	$(INSTALL) -m 755 -d $(mandir)/man1
 	$(INSTALL) -m 755 -d $(mandir)/man8
 	$(INSTALL) -m 755 -d $(docdir)
 	$(INSTALL) -m 755 -d $(libdir)/init
@@ -43,10 +42,10 @@
 	$(INSTALL) -m 644 assets/dbab.service $(ssddir)
 
 	$(INSTALL) -m 644 assets/dbab-svr.8 $(mandir)/man8
-	$(INSTALL) -m 644 assets/dbab-add-list.1 $(mandir)/man1
-	$(INSTALL) -m 644 assets/dbab-chk-list.1 $(mandir)/man1
-	$(INSTALL) -m 644 assets/dbab-get-list.1 $(mandir)/man1
-	$(INSTALL) -m 644 assets/dhcp-add-wpad.1 $(mandir)/man1
+	$(INSTALL) -m 644 assets/dbab-add-list.8 $(mandir)/man8
+	$(INSTALL) -m 644 assets/dbab-chk-list.8 $(mandir)/man8
+	$(INSTALL) -m 644 assets/dbab-get-list.8 $(mandir)/man8
+	$(INSTALL) -m 644 assets/dhcp-add-wpad.8 $(mandir)/man8
 	$(INSTALL) -m 644 dbab.md $(docdir)
 
 	$(INSTALL) -m 644 assets/dbab.addr $(astdir)

=== debian/changelog ===
dbab (1.3.3-1) unstable; urgency=medium

  * - closes: #946977
  * - [*] fixes #8 (misc issues), by Dirk Geschke
  * - [*] fixes #9, by Dr. Dirk Geschke
  * - [*] add Cache-Control
  * - [*] server's own IP address will be used for WPAD
  * - [*] better name for WPAD conf file.
          CAUTION: this and the next change are disruptive!
	  Better purge the old version then reinstall, than doing upgrade!
  * - [*] name the mapping conf files as dbab-map.*.conf
  * - [*] clean trash-sites items already covered
  * - [!] fix #10, making https request instead
  * - [*] fix all Debian packaging related issues

 -- Tong Sun <suntong001@users.sourceforge.net>  Fri, 27 Dec 2019 21:31:28 -0500

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: net
 Priority: optional
 Maintainer: Tong Sun <suntong001@users.sourceforge.net>
-Build-Depends: debhelper (>= 11), ronn (>= 0.7.3)
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12), ronn (>= 0.7.3)
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
 Homepage: https://github.com/suntong/dbab
-Vcs-Git: https://github.com/suntong/dbab.git
-Vcs-Browser: https://github.com/suntong/dbab
+Vcs-Browser: https://salsa.debian.org/debian/dbab
+Vcs-Git: https://salsa.debian.org/debian/dbab.git
 
 Package: dbab
 Architecture: all

## dbab 1.5.01

=== Makefile ===
--- 
+++ 
@@ -51,4 +51,3 @@
 	$(INSTALL) -m 644 assets/dbab.addr $(astdir)
 	$(INSTALL) -m 644 assets/dbab.list+ $(astdir)
 	$(INSTALL) -m 644 assets/dbab.list- $(astdir)
-	$(INSTALL) -m 644 assets/dbab.proxy $(astdir)

=== debian/changelog ===
dbab (1.5.01-1) unstable; urgency=medium

  * [c400b97] remove debian/README.Debian
  * [614cdaf] fix debian/control minor issues
  * [*] fixes for perlcritic
    * Code before strictures
    * Subroutine "new" called using indirect syntax
    * use explicit lexical variable instead of $_
    * mixed tabs and spaces
  * [+] add dbab-srv self-identification, closes: #876815
  * [*] make dbab-get-list more robust, closes: #58938
  * [*] update README.md, closes: #958937
  * [*] update (c) year, dbab-add-list now writes a header too
  * [*] !!breaking changes: renamed dbab-dnsmasq.*.conf files!!
  * [*] update assets/dbab-dnsmasq.DHCP.conf
  * [*] update assets/dbab-squid.*.conf; clean up Makefile
  * [!] fix dbab-init-d-script: stop does not stop, closes: #958899
  * [*] simplify design, remove dbab.proxy config, assume pixelserv
    and squid will always serve from the *same* IP
  * [ab04074] New upstream version 1.5.0
  * [b24ada6] follow upstream/1.5.0 change to rename .conf files
  * [-] remove assets/dbab.proxy
  * [!] source /lib/init/init-d-script in etc/init.d/dbab, to fix
    init.d-script-does-not-implement-required-option &
    init.d-script-does-not-source-init-functions
  * [b6f61fb] New upstream version 1.5.01

 -- Tong Sun <suntong001@users.sourceforge.net>  Tue, 19 May 2020 05:25:48 +0000

dbab (1.4.0-1) unreleased; urgency=medium

  * [b7d1eac] New upstream version 1.4.0

  Disruptive changes:

  - name for WPAD conf file changed
  - name the mapping conf files changed as dbab-map.*.conf

  Better purge the old version then reinstall, than doing upgrade!

  Structural changes:

  - bring src/* up as in root
  - remove the debian/ folder, as it is now at
    https://salsa.debian.org/debian/dbab/


 -- Tong Sun <suntong001@users.sourceforge.net>  Sat, 02 May 2020 15:37:49 +0000

dbab (1.3.3-2) unstable; urgency=low

  * Debian maintenance release
  * not to override debian-watch-does-not-check-gpg-signature
  * fix debian/copyright problems
  * fix "source: out-of-date-standards-version" problem

 -- Tong Sun <suntong001@users.sourceforge.net>  Sun, 26 Apr 2020 16:00:37 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,23 @@
 Source: dbab
+Maintainer: Tong Sun <suntong001@users.sourceforge.net>
 Section: net
+Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Maintainer: Tong Sun <suntong001@users.sourceforge.net>
-Build-Depends: debhelper-compat (= 12), ronn (>= 0.7.3)
-Rules-Requires-Root: no
-Standards-Version: 4.4.1
-Homepage: https://github.com/suntong/dbab
+Build-Depends: debhelper-compat (= 12),
+               ronn
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/dbab
 Vcs-Git: https://salsa.debian.org/debian/dbab.git
+Homepage: https://github.com/suntong/dbab
+Rules-Requires-Root: no
 
 Package: dbab
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, dnsmasq, curl, dnsutils
+Depends: ${misc:Depends},
+         ${perl:Depends},
+         dnsmasq,
+         curl,
+         dnsutils
 Description: dnsmasq-based ad-blocking using pixelserv
  Block advertising sites at the DNS level. dbab is feather weight,
  both in terms of package size and CPU usage, because no pattern matching or

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dbab-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/suntong/dbab/tags .*/v?(\d\S*)\.tar\.gz

## dbab 1.5.8

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,6 @@
 mandir = ${prefix}/share/man
 docdir = ${prefix}/share/doc/dbab
 bindir = ${exec_prefix}/sbin
-libdir = ${DESTDIR}/lib
 etcdir = ${DESTDIR}/etc
 astdir = ${etcdir}/dbab
 ssddir = ${DESTDIR}/lib/systemd/system
@@ -26,9 +25,7 @@
 	$(INSTALL) -m 755 -d $(bindir)
 	$(INSTALL) -m 755 -d $(mandir)/man8
 	$(INSTALL) -m 755 -d $(docdir)
-	$(INSTALL) -m 755 -d $(libdir)/init
 	$(INSTALL) -m 755 -d $(etcdir)
-	$(INSTALL) -m 755 -d $(etcdir)/init.d
 	$(INSTALL) -m 755 -d $(astdir)
 	$(INSTALL) -m 755 -d $(ssddir)
 
@@ -37,8 +34,6 @@
 	$(INSTALL) -m 755 bin/dbab-chk-list $(bindir)
 	$(INSTALL) -m 755 bin/dhcp-add-wpad $(bindir)
 	$(INSTALL) -m 755 bin/dbab-svr $(bindir)
-	$(INSTALL) -m 755 bin/dbab-init-d-script $(libdir)/init
-	$(INSTALL) -m 755 bin/dbab $(etcdir)/init.d
 	$(INSTALL) -m 644 assets/dbab.service $(ssddir)
 
 	$(INSTALL) -m 644 assets/dbab-svr.8 $(mandir)/man8

=== debian/changelog ===
dbab (1.5.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install systemd files into /usr. (Closes: #1065306)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 01:46:17 +0200

dbab (1.5.8-1) unstable; urgency=medium

  [ Tong Sun ]
  * add d/NEWS to allow user/system administrator to see the new changes
  * New upstream version 1.5.8

  [ Nilesh Patra ]
  * Fix NEWS

 -- Tong Sun <suntong001@users.sourceforge.net>  Sat, 18 Dec 2021 03:02:59 +0000

dbab (1.5.7-2) unstable; urgency=medium

  * properly remove auto-generated files instead
  * add ca-certificates to depend list; moved to contrib; closes: #1001009
  * delete debian/dbab.maintscript; closes: #995769
  * fix: missing-explanation-for-contrib-or-non-free-package
  * fix: out-of-date-standards-version
  * try to take care of the case of upgrading from buster
  * explain reasons for moving to contrib in d/README.Debian

 -- Tong Sun <suntong001@users.sourceforge.net>  Sat, 11 Dec 2021 19:14:48 +0000

dbab (1.5.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
    Fixes: lintian: upstream-metadata-missing-bug-tracking

  [ Tong Sun ]
  * tried to fix postrm (#958900) with rm
  * fix init.d-script-not-included-in-package
  * fix postrm-contains-additional-updaterc.d-calls
  * New upstream version 1.5.6, closes: #958899,#961259
  * fix "source: out-of-date-standards-version" problem
  * fix package-uses-old-debhelper-compat-version 12
  * reload/restart dbab on new install
  * remove systemctl from postinst, let deb-systemd-helper handles it
  * New upstream version 1.5.7, fix for latest curl error
  * Switch to package.maintscript, truly closes: #958900
  * Remove auto-generated files instead

 -- Tong Sun <suntong001@users.sourceforge.net>  Sun, 07 Mar 2021 18:23:53 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: dbab
 Maintainer: Tong Sun <suntong001@users.sourceforge.net>
-Section: net
+Section: contrib/net
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                ronn
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Vcs-Browser: https://salsa.debian.org/debian/dbab
 Vcs-Git: https://salsa.debian.org/debian/dbab.git
 Homepage: https://github.com/suntong/dbab
@@ -15,6 +15,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends},
+	 ca-certificates,
          dnsmasq,
          curl,
          dnsutils

## dbab 1.6.1

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 bindir = ${exec_prefix}/sbin
 etcdir = ${DESTDIR}/etc
 astdir = ${etcdir}/dbab
-ssddir = ${DESTDIR}/lib/systemd/system
+ssddir = ${prefix}/lib/systemd/system
 
 # Install the systemd unit file if systemd support was detected.
 ifdef HAVE_SYSTEMD

=== debian/changelog ===
dbab (1.6.1-1) unstable; urgency=medium

  * [127712a] replace dependent dnsutils with bind9-dnsutils; Closes: #1100058
  * [7cea097] fix for lintian: aliased-location
  * [9422e6d] fix for lintian: systemd-service-file-missing-hardening-features
  * [4f2e8e1] fix for lintian: older-debian-watch-file-standard 4
  * [e892206] New upstream version 1.6.0
  * [46ccabb] New upstream version 1.6.1
  * [d572e3b] fix for lintian: out-of-date-standards-version, & debian-watch-file-standard too

 -- Tong Sun <suntong001@users.sourceforge.net>  Mon, 15 Sep 2025 19:28:25 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                ronn
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/dbab
 Vcs-Git: https://salsa.debian.org/debian/dbab.git
 Homepage: https://github.com/suntong/dbab
@@ -18,7 +18,7 @@
 	 ca-certificates,
          dnsmasq,
          curl,
-         dnsutils
+         bind9-dnsutils
 Description: dnsmasq-based ad-blocking using pixelserv
  Block advertising sites at the DNS level. dbab is feather weight,
  both in terms of package size and CPU usage, because no pattern matching or

=== debian/tests/control ===
Tests: dummy
Depends: @builddeps@
Restrictions: superficial

Test-Command: echo "TODO"
Depends: @builddeps@
Restrictions: superficial

Test-Command: perl -e 'print "TODO"'
Depends: @builddeps@
Restrictions: superficial

=== debian/watch ===
version=5
opts="filenamemangle=s/.*\/(\d\S+)\.tar\.gz/dbab-$1.tar.gz/" \
  https://github.com/suntong/dbab/tags .*/archive/refs/tags/v?(\d\S+)\.tar\.gz
